#
# $Id: notebook.tcl,v 1.3 2004/02/01 22:40:20 jenglish Exp $
# 
# Bindings for TNotebook widget
#

bind TNotebook <ButtonPress-1> { Tile::Notebook::Select %W %x %y }
bind TNotebook <Key-Left> { Tile::Notebook::CycleTab %W -1 }
bind TNotebook <Key-Right> { Tile::Notebook::CycleTab %W 1 }

namespace eval Tile {
    namespace eval Notebook {
    	proc Select {w x y} {
	    set tab [$w index @$x,$y]
	    if {$tab ne ""} {
	    	$w raise $tab
		focus $w
		event generate $w <<NotebookTabChanged>>
	    }
	}

	proc CycleTab {w dir} {
	    if {[$w index end] == 0} { return }
	    $w raise [expr {([$w index current] + $dir) % [$w index end]}]
	    event generate $w <<NotebookTabChanged>>
	}
    }
}

