#
# $Id: winTheme.tcl,v 1.5 2004/02/03 02:32:03 jenglish Exp $
#
# Tile widget set: Windows Native theme
#

namespace eval Tile {

style definetheme winnative {

    style default TButton -padding "4 4" -width -11

    style default "." \
    	-background SystemButtonFace \
	-troughcolor SystemScrollbar \
	-foreground SystemWindowText

    style map "." -foreground [list disabled SystemGrayText]

    style default TButton -relief raised
    style map TButton -relief [list pressed sunken  active raised]

    style default TScrollbar -troughrelief flat -borderwidth 0
    style default Tab.TNotebook -padding "4m 1m" -font ButtonFont
    style default TScale -groovewidth 4
    style map TScale -sliderrelief {pressed sunken  {} raised}

    style default TProgress \
        -borderwidth 1 \
        -background SystemHighlight \
        -sliderrelief sunken

} }
